
From: Colin Leroy <colin@colino.net>

Fixes a "variable might be used uninitialized".  As usual it's a harmless
warning because it can't really be, but that cleans the compilation's
output :)

Signed-off-by: Colin Leroy <colin@colino.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/boot/simple/misc.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc/boot/simple/misc.c~fix-warning-in-arch-ppc-pmac-simple-miscc arch/ppc/boot/simple/misc.c
--- 25/arch/ppc/boot/simple/misc.c~fix-warning-in-arch-ppc-pmac-simple-miscc	Wed Oct  6 15:57:11 2004
+++ 25-akpm/arch/ppc/boot/simple/misc.c	Wed Oct  6 15:57:11 2004
@@ -96,7 +96,7 @@ decompress_kernel(unsigned long load_add
 #endif
 	char *cp;
 	struct bi_record *rec;
-	unsigned long initrd_loc, TotalMemory = 0;
+	unsigned long initrd_loc = 0, TotalMemory = 0;
 
 #ifdef CONFIG_SERIAL_8250_CONSOLE
 	com_port = serial_init(0, NULL);
_
